---
displayed_sidebar: jsClientSidebar
---

# Interface: AxiosRequestTransformer

[internal](../modules/internal.md).AxiosRequestTransformer

## Callable

### AxiosRequestTransformer

▸ **AxiosRequestTransformer**(`data`, `headers?`): `any`

#### Parameters

| Name | Type |
| :------ | :------ |
| `data` | `any` |
| `headers?` | [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders) |

#### Returns

`any`

#### Defined in

medusa-js/node_modules/axios/index.d.ts:10
